Bug 496456 - [PATCH] Ship svn2cl and bash completion
[PATCH] Ship svn2cl and bash completion
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 07:39 EDT by Ville Skyttä
Modified: 2009-09-19 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.6.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-19 15:53:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ship svn2cl (3.18 KB, patch)
2009-04-19 07:39 EDT, Ville Skyttä
no flags Details | Diff
Ship svn2cl (3.18 KB, patch)
2009-05-26 17:47 EDT, Ville Skyttä
no flags Details | Diff
Ship svn2cl and bash completion, add %defattrs (3.59 KB, patch)
2009-09-17 16:34 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2009-04-19 07:39:53 EDT
Created attachment 340226 [details]
Ship svn2cl

svn2cl is currently shipped as a separately maintained package in Fedora (by yours truly) but as it is also included in the subversion tarball and there's little development in the separate upstream project, I think it'd make sense to ship it as a subversion subpackage.

Patch implementing this is attached.  When/if this is in, I'll take care of removing the obsolete separate svn2cl package.

While at it, changed to bzipped tarball in the patch to save a couple of megabytes in SRPM size.
Comment 1 Ville Skyttä 2009-05-26 17:47:06 EDT
Created attachment 345531 [details]
Ship svn2cl

Any comments?  Let me know if you'd like me to commit and build this for rawhide, or if you'd like some changes made to it first or...
Comment 2 Bug Zapper 2009-06-09 10:07:09 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ville Skyttä 2009-09-17 16:34:31 EDT
Created attachment 361562 [details]
Ship svn2cl and bash completion, add %defattrs

Here's another revision of the patch; this one adds bash completion and some missing %defattrs.

I'd like to see these in F-12 and as said, will take care of the existing svn2cl as well as bash-completion, and can commit + build this, just say the word...
Comment 4 Joe Orton 2009-09-18 03:38:39 EDT
Ville - please do!
Comment 5 Ville Skyttä 2009-09-19 15:53:34 EDT
Thanks, done in 1.6.5-2

Note You need to log in before you can comment on or make changes to this bug.